Skip to main content
Server path: /launchdarkly-usage | Type: Application | PCID required: Yes

Tools

ToolDescription
launchdarkly_usage_create_announcement_publicCreate an announcement
launchdarkly_usage_create_viewCreate view
launchdarkly_usage_delete_announcement_publicDelete an announcement
launchdarkly_usage_delete_applicationDelete application
launchdarkly_usage_delete_application_versionDelete application version
launchdarkly_usage_delete_viewDelete view
launchdarkly_usage_get_announcements_publicGet announcements
launchdarkly_usage_get_applicationGet application by key
launchdarkly_usage_get_application_versionsGet application versions by application key
launchdarkly_usage_get_applicationsGet applications
launchdarkly_usage_get_audit_log_entriesList audit log entries
launchdarkly_usage_get_audit_log_entryGet audit log entry
launchdarkly_usage_get_contexts_clientside_usageGet contexts clientside usage
launchdarkly_usage_get_contexts_serverside_usageGet contexts serverside usage
launchdarkly_usage_get_contexts_total_usageGet contexts total usage
launchdarkly_usage_get_data_export_events_usageGet data export events usage
launchdarkly_usage_get_evaluations_usageGet evaluations usage
launchdarkly_usage_get_events_usageGet events usage
launchdarkly_usage_get_experimentation_events_usageGet experimentation events usage
launchdarkly_usage_get_experimentation_keys_usageGet experimentation keys usage
launchdarkly_usage_get_linked_resourcesGet linked resources
launchdarkly_usage_get_linked_viewsGet linked views for a given resource
launchdarkly_usage_get_mau_sdks_by_typeGet MAU SDKs by type
launchdarkly_usage_get_mauclientside_usageGet MAU clientside usage
launchdarkly_usage_get_mautotal_usageGet MAU total usage
launchdarkly_usage_get_observability_errors_usageGet observability errors usage
launchdarkly_usage_get_observability_logs_usageGet observability logs usage
launchdarkly_usage_get_observability_metrics_usageGet observability metrics usage
launchdarkly_usage_get_observability_sessions_usageGet observability sessions usage
launchdarkly_usage_get_observability_traces_usageGet observability traces usage
launchdarkly_usage_get_sdk_versions_detailsGet SDK versions usage details
launchdarkly_usage_get_service_connections_usageGet service connections usage
launchdarkly_usage_get_stream_usageGet stream usage
launchdarkly_usage_get_stream_usage_by_sdk_versionGet stream usage by SDK version
launchdarkly_usage_get_stream_usage_sdkversionGet stream usage SDK versions
launchdarkly_usage_get_vega_aiusageGet Vega AI usage
launchdarkly_usage_get_viewGet view
launchdarkly_usage_get_viewsList views
launchdarkly_usage_link_resourceLink resource
launchdarkly_usage_patch_applicationUpdate application
launchdarkly_usage_patch_application_versionUpdate application version
launchdarkly_usage_post_audit_log_entriesSearch audit log entries
launchdarkly_usage_post_audit_log_entry_countsGet audit log entry counts
launchdarkly_usage_unlink_resourceUnlink resource
launchdarkly_usage_update_announcement_publicUpdate an announcement
launchdarkly_usage_update_viewUpdate view

launchdarkly_usage_create_announcement_public

Create an announcement Parameters:
ParameterTypeRequiredDefaultDescription
endTimeintegerNoThe end time of the announcement. This is a Unix timestamp in milliseconds.
isDismissiblebooleanYestrue if the announcement is dismissible
messagestringYesThe message of the announcement
severitystringYesThe severity of the announcement
startTimeintegerYesThe start time of the announcement. This is a Unix timestamp in milliseconds.
titlestringYesThe title of the announcement

launchdarkly_usage_create_view

Create view Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesProject Key
descriptionstringNoOptional detailed description of the view
generateSdkKeysbooleanNoWhether to generate SDK keys for this view
keystringYesUnique key for the view within the account/project
maintainerIdstringNoMember ID of the maintainer for this view. Only one of maintainerId or maintainerTeamKey can be specified.
maintainerTeamKeystringNoKey of the maintainer team for this view. Only one of maintainerId or maintainerTeamKey can be specified.
namestringYesHuman-readable name for the view
tagsstring[]NoTags associated with this view

launchdarkly_usage_delete_announcement_public

Delete an announcement Parameters:
ParameterTypeRequiredDefaultDescription
announcementIdstringYesAnnouncement Id

launchdarkly_usage_delete_application

Delete application Parameters:
ParameterTypeRequiredDefaultDescription
applicationKeystringYesThe application key

launchdarkly_usage_delete_application_version

Delete application version Parameters:
ParameterTypeRequiredDefaultDescription
applicationKeystringYesThe application key
versionKeystringYesThe application version key

launchdarkly_usage_delete_view

Delete view Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesProject Key
viewKeystringYesView Key

launchdarkly_usage_get_announcements_public

Get announcements Parameters:
ParameterTypeRequiredDefaultDescription
statusstringNoFilter announcements by status.
limitintegerNoThe number of announcements to return.
offsetintegerNoWhere to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

launchdarkly_usage_get_application

Get application by key Parameters:
ParameterTypeRequiredDefaultDescription
applicationKeystringYesThe application key
expandstringNoA comma-separated list of properties that can reveal additional information in the response. Options: flags.

launchdarkly_usage_get_application_versions

Get application versions by application key Parameters:
ParameterTypeRequiredDefaultDescription
filterstringNoAccepts filter by key, name, supported, and autoAdded. To learn more about the filter syntax, read Filtering applications and application versions.
applicationKeystringYesThe application key
limitintegerNoThe number of versions to return. Defaults to 50.
offsetintegerNoWhere to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
sortstringNoAccepts sorting order and fields. Fields can be comma separated. Possible fields are creationDate, name. Examples: sort=name sort by names ascending, sort=-name,creationDate sort by names descending and creationDate ascending.

launchdarkly_usage_get_applications

Get applications Parameters:
ParameterTypeRequiredDefaultDescription
filterstringNoAccepts filter by key, name, kind, and autoAdded. To learn more about the filter syntax, read Filtering applications and application versions.
limitintegerNoThe number of applications to return. Defaults to 10.
offsetintegerNoWhere to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
sortstringNoAccepts sorting order and fields. Fields can be comma separated. Possible fields are creationDate, name. Examples: sort=name sort by names ascending, sort=-name,creationDate sort by names descending and creationDate ascending.
expandstringNoA comma-separated list of properties that can reveal additional information in the response. Options: flags.

launchdarkly_usage_get_audit_log_entries

List audit log entries Parameters:
ParameterTypeRequiredDefaultDescription
beforeintegerNoA timestamp filter, expressed as a Unix epoch time in milliseconds. All entries this returns occurred before the timestamp.
afterintegerNoA timestamp filter, expressed as a Unix epoch time in milliseconds. All entries this returns occurred after the timestamp.
qstringNoText to search for. You can search for the full or partial name of the resource.
limitintegerNoA limit on the number of audit log entries that return. Set between 1 and 20. The default is 10.
specstringNoA resource specifier that lets you filter audit log listings by resource

launchdarkly_usage_get_audit_log_entry

Get audit log entry Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe ID of the audit log entry

launchdarkly_usage_get_contexts_clientside_usage

Get contexts clientside usage Parameters:
ParameterTypeRequiredDefaultDescription
fromstringNoThe series of data returned starts from this timestamp (Unix milliseconds). Defaults to the beginning of the current month.
tostringNoThe series of data returned ends at this timestamp (Unix milliseconds). Defaults to the current time.
projectKeystringNoA project key to filter results by. Can be specified multiple times, one query parameter per project key.
environmentKeystringNoAn environment key to filter results by. If specified, exactly one projectKey must be provided. Can be specified multiple times, one query parameter per environment key.
contextKindstringNoA context kind to filter results by. Can be specified multiple times, one query parameter per context kind.
sdkNamestringNoAn SDK name to filter results by. Can be specified multiple times, one query parameter per SDK name.
anonymousstringNoAn anonymous value to filter results by. Can be specified multiple times, one query parameter per anonymous value.<br/>Valid values: true, false.
groupBystringNoIf specified, returns data for each distinct value of the given field. contextKind is always included as a grouping dimension. Can be specified multiple times to group data by multiple dimensions, one query parameter per dimension.<br/>Valid values: projectId, environmentId, sdkName, sdkAppId, anonymousV2.
aggregationTypestringNoSpecifies the aggregation method. Defaults to month_to_date.<br/>Valid values: month_to_date, incremental, rolling_30d.
granularitystringNoSpecifies the data granularity. Defaults to daily. Valid values depend on aggregationType: month_to_date supports daily and monthly; incremental and rolling_30d support daily only.

launchdarkly_usage_get_contexts_serverside_usage

Get contexts serverside usage Parameters:
ParameterTypeRequiredDefaultDescription
fromstringNoThe series of data returned starts from this timestamp (Unix seconds). Defaults to the beginning of the current month.
tostringNoThe series of data returned ends at this timestamp (Unix seconds). Defaults to the current time.
projectKeystringNoA project key to filter results by. Can be specified multiple times, one query parameter per project key.
environmentKeystringNoAn environment key to filter results by. If specified, exactly one projectKey must be provided. Can be specified multiple times, one query parameter per environment key.
contextKindstringNoA context kind to filter results by. Can be specified multiple times, one query parameter per context kind.
sdkNamestringNoAn SDK name to filter results by. Can be specified multiple times, one query parameter per SDK name.
anonymousstringNoAn anonymous value to filter results by. Can be specified multiple times, one query parameter per anonymous value.<br/>Valid values: true, false.
groupBystringNoIf specified, returns data for each distinct value of the given field. contextKind is always included as a grouping dimension. Can be specified multiple times to group data by multiple dimensions, one query parameter per dimension.<br/>Valid values: projectId, environmentId, sdkName, sdkAppId, anonymousV2.
aggregationTypestringNoSpecifies the aggregation method. Defaults to month_to_date.<br/>Valid values: month_to_date, incremental, rolling_30d.
granularitystringNoSpecifies the data granularity. Defaults to daily. Valid values depend on aggregationType: month_to_date supports daily and monthly; incremental and rolling_30d support daily only.

launchdarkly_usage_get_contexts_total_usage

Get contexts total usage Parameters:
ParameterTypeRequiredDefaultDescription
fromstringNoThe series of data returned starts from this timestamp (Unix milliseconds). Defaults to the beginning of the current month.
tostringNoThe series of data returned ends at this timestamp (Unix milliseconds). Defaults to the current time.
projectKeystringNoA project key to filter results by. Can be specified multiple times, one query parameter per project key.
environmentKeystringNoAn environment key to filter results by. If specified, exactly one projectKey must be provided. Can be specified multiple times, one query parameter per environment key.
contextKindstringNoA context kind to filter results by. Can be specified multiple times, one query parameter per context kind.
sdkNamestringNoAn SDK name to filter results by. Can be specified multiple times, one query parameter per SDK name.
sdkTypestringNoAn SDK type to filter results by. Can be specified multiple times, one query parameter per SDK type.
anonymousstringNoAn anonymous value to filter results by. Can be specified multiple times, one query parameter per anonymous value.<br/>Valid values: true, false.
groupBystringNoIf specified, returns data for each distinct value of the given field. contextKind is always included as a grouping dimension. Can be specified multiple times to group data by multiple dimensions, one query parameter per dimension.<br/>Valid values: projectId, environmentId, sdkName, sdkType, sdkAppId, anonymousV2.
aggregationTypestringNoSpecifies the aggregation method. Defaults to month_to_date.<br/>Valid values: month_to_date, incremental, rolling_30d.
granularitystringNoSpecifies the data granularity. Defaults to daily. Valid values depend on aggregationType: month_to_date supports daily and monthly; incremental and rolling_30d support daily only.

launchdarkly_usage_get_data_export_events_usage

Get data export events usage Parameters:
ParameterTypeRequiredDefaultDescription
fromstringNoThe series of data returned starts from this timestamp (Unix milliseconds). Defaults to the beginning of the current month.
tostringNoThe series of data returned ends at this timestamp (Unix milliseconds). Defaults to the current time.
projectKeystringNoA project key to filter results by. Can be specified multiple times, one query parameter per project key.
environmentKeystringNoAn environment key to filter results by. If specified, exactly one projectKey must be provided. Can be specified multiple times, one query parameter per environment key.
eventKindstringNoAn event kind to filter results by. Can be specified multiple times, one query parameter per event kind.
groupBystringNoIf specified, returns data for each distinct value of the given field. Can be specified multiple times to group data by multiple dimensions, one query parameter per dimension.<br/>Valid values: environmentId, eventKind.
aggregationTypestringNoSpecifies the aggregation method. Defaults to month_to_date.<br/>Valid values: month_to_date, incremental.
granularitystringNoSpecifies the data granularity. Defaults to daily. monthly granularity is only supported with the month_to_date aggregation type.<br/>Valid values: daily, hourly, monthly.

launchdarkly_usage_get_evaluations_usage

Get evaluations usage Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
featureFlagKeystringYesThe feature flag key
fromstringNoThe series of data returned starts from this timestamp. Defaults to 30 days ago.
tostringNoThe series of data returned ends at this timestamp. Defaults to the current time.
tzstringNoThe timezone to use for breaks between days when returning daily data.

launchdarkly_usage_get_events_usage

Get events usage Parameters:
ParameterTypeRequiredDefaultDescription
typestringYesThe type of event to retrieve. Must be either received or published.
fromstringNoThe series of data returned starts from this timestamp. Defaults to 24 hours ago.
tostringNoThe series of data returned ends at this timestamp. Defaults to the current time.

launchdarkly_usage_get_experimentation_events_usage

Get experimentation events usage Parameters:
ParameterTypeRequiredDefaultDescription
fromstringNoThe series of data returned starts from this timestamp (Unix milliseconds). Defaults to the beginning of the current month.
tostringNoThe series of data returned ends at this timestamp (Unix milliseconds). Defaults to the current time.
projectKeystringNoA project key to filter results by. Can be specified multiple times, one query parameter per project key.
environmentKeystringNoAn environment key to filter results by. If specified, exactly one projectKey must be provided. Can be specified multiple times, one query parameter per environment key.
eventKeystringNoAn event key to filter results by. Can be specified multiple times, one query parameter per event key.
eventKindstringNoAn event kind to filter results by. Can be specified multiple times, one query parameter per event kind.
groupBystringNoIf specified, returns data for each distinct value of the given field. Can be specified multiple times to group data by multiple dimensions, one query parameter per dimension.<br/>Valid values: environmentId, eventKey, eventKind.
aggregationTypestringNoSpecifies the aggregation method. Defaults to month_to_date.<br/>Valid values: month_to_date, incremental.
granularitystringNoSpecifies the data granularity. Defaults to daily. monthly granularity is only supported with the month_to_date aggregation type.<br/>Valid values: daily, hourly, monthly.

launchdarkly_usage_get_experimentation_keys_usage

Get experimentation keys usage Parameters:
ParameterTypeRequiredDefaultDescription
fromstringNoThe series of data returned starts from this timestamp (Unix milliseconds). Defaults to the beginning of the current month.
tostringNoThe series of data returned ends at this timestamp (Unix milliseconds). Defaults to the current time.
projectKeystringNoA project key to filter results by. Can be specified multiple times, one query parameter per project key.
environmentKeystringNoAn environment key to filter results by. If specified, exactly one projectKey must be provided. Can be specified multiple times, one query parameter per environment key.
experimentIdstringNoAn experiment ID to filter results by. Can be specified multiple times, one query parameter per experiment ID.
groupBystringNoIf specified, returns data for each distinct value of the given field. Can be specified multiple times to group data by multiple dimensions, one query parameter per dimension.<br/>Valid values: projectId, environmentId, experimentId.
aggregationTypestringNoSpecifies the aggregation method. Defaults to month_to_date.<br/>Valid values: month_to_date, incremental.
granularitystringNoSpecifies the data granularity. Defaults to daily. monthly granularity is only supported with the month_to_date aggregation type.<br/>Valid values: daily, hourly, monthly.

launchdarkly_usage_get_linked_resources

Get linked resources Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesProject Key
viewKeystringYesView Key
resourceTypestringYesResource Type
limitintegerNoThe number of views to return.
offsetintegerNoWhere to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
sortstringNoField to sort by. Default field is linkedAt, default order is ascending.
querystringNoCase-insensitive search query for linked resources. Matches resource key and, when expanded, resource name.
filterstringNoOptional resource filter expression for linked resources. - Supported for flags and segments resource types. - Uses the same syntax as link/unlink and list endpoints. - For segments, environmentId is required when filter is provided.
expandstring[]NoA comma-separated list of fields to expand.

launchdarkly_usage_get_linked_views

Get linked views for a given resource Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesProject Key
resourceTypestringYesResource Type
resourceKeystringYesResource Key
environmentIdstringNoEnvironment ID. Required when resourceType is ‘segments’
limitintegerNoThe number of views to return.
offsetintegerNoWhere to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

launchdarkly_usage_get_mau_sdks_by_type

Get MAU SDKs by type Parameters:
ParameterTypeRequiredDefaultDescription
fromstringNoThe data returned starts from this timestamp. Defaults to seven days ago. The timestamp is in Unix milliseconds, for example, 1656694800000.
tostringNoThe data returned ends at this timestamp. Defaults to the current time. The timestamp is in Unix milliseconds, for example, 1657904400000.
sdktypestringNoThe type of SDK with monthly active users (MAU) to list. Must be either client or server.

launchdarkly_usage_get_mauclientside_usage

Get MAU clientside usage Parameters:
ParameterTypeRequiredDefaultDescription
fromstringNoThe series of data returned starts from this timestamp (Unix milliseconds). Defaults to the beginning of the current month.
tostringNoThe series of data returned ends at this timestamp (Unix milliseconds). Defaults to the current time.
projectKeystringNoA project key to filter results by. Can be specified multiple times, one query parameter per project key.
environmentKeystringNoAn environment key to filter results by. If specified, exactly one projectKey must be provided. Can be specified multiple times, one query parameter per environment key.
sdkNamestringNoAn SDK name to filter results by. Can be specified multiple times, one query parameter per SDK name.
anonymousstringNoAn anonymous value to filter results by. Can be specified multiple times, one query parameter per anonymous value.<br/>Valid values: true, false.
groupBystringNoIf specified, returns data for each distinct value of the given field. Can be specified multiple times to group data by multiple dimensions, one query parameter per dimension.<br/>Valid values: projectId, environmentId, sdkName, sdkAppId, anonymousV2.
aggregationTypestringNoSpecifies the aggregation method. Defaults to month_to_date.<br/>Valid values: month_to_date, incremental, rolling_30d.
granularitystringNoSpecifies the data granularity. Defaults to daily. Valid values depend on aggregationType: month_to_date supports daily and monthly; incremental and rolling_30d support daily only.

launchdarkly_usage_get_mautotal_usage

Get MAU total usage Parameters:
ParameterTypeRequiredDefaultDescription
fromstringNoThe series of data returned starts from this timestamp (Unix milliseconds). Defaults to the beginning of the current month.
tostringNoThe series of data returned ends at this timestamp (Unix milliseconds). Defaults to the current time.
projectKeystringNoA project key to filter results by. Can be specified multiple times, one query parameter per project key.
environmentKeystringNoAn environment key to filter results by. If specified, exactly one projectKey must be provided. Can be specified multiple times, one query parameter per environment key.
sdkNamestringNoAn SDK name to filter results by. Can be specified multiple times, one query parameter per SDK name.
sdkTypestringNoAn SDK type to filter results by. Can be specified multiple times, one query parameter per SDK type.
anonymousstringNoAn anonymous value to filter results by. Can be specified multiple times, one query parameter per anonymous value.<br/>Valid values: true, false.
groupBystringNoIf specified, returns data for each distinct value of the given field. Can be specified multiple times to group data by multiple dimensions, one query parameter per dimension.<br/>Valid values: projectId, environmentId, sdkName, sdkType, sdkAppId, anonymousV2.
aggregationTypestringNoSpecifies the aggregation method. Defaults to month_to_date.<br/>Valid values: month_to_date, incremental, rolling_30d.
granularitystringNoSpecifies the data granularity. Defaults to daily. Valid values depend on aggregationType: month_to_date supports daily and monthly; incremental and rolling_30d support daily only.

launchdarkly_usage_get_observability_errors_usage

Get observability errors usage Parameters:
ParameterTypeRequiredDefaultDescription
fromstringNoThe series of data returned starts from this timestamp (Unix seconds). Defaults to the beginning of the current month.
tostringNoThe series of data returned ends at this timestamp (Unix seconds). Defaults to the current time.
projectKeystringNoA project key to filter results by. Can be specified multiple times, one query parameter per project key.
granularitystringNoSpecifies the data granularity. Defaults to daily. Valid values depend on aggregationType: month_to_date supports daily and monthly; incremental and rolling_30d support daily only.
aggregationTypestringNoSpecifies the aggregation method. Defaults to month_to_date.<br/>Valid values: month_to_date, incremental, rolling_30d.

launchdarkly_usage_get_observability_logs_usage

Get observability logs usage Parameters:
ParameterTypeRequiredDefaultDescription
fromstringNoThe series of data returned starts from this timestamp (Unix seconds). Defaults to the beginning of the current month.
tostringNoThe series of data returned ends at this timestamp (Unix seconds). Defaults to the current time.
projectKeystringNoA project key to filter results by. Can be specified multiple times, one query parameter per project key.
granularitystringNoSpecifies the data granularity. Defaults to daily. Valid values depend on aggregationType: month_to_date supports daily and monthly; incremental and rolling_30d support daily only.
aggregationTypestringNoSpecifies the aggregation method. Defaults to month_to_date.<br/>Valid values: month_to_date, incremental, rolling_30d.

launchdarkly_usage_get_observability_metrics_usage

Get observability metrics usage Parameters:
ParameterTypeRequiredDefaultDescription
fromstringNoThe series of data returned starts from this timestamp (Unix seconds). Defaults to the beginning of the current month.
tostringNoThe series of data returned ends at this timestamp (Unix seconds). Defaults to the current time.
projectKeystringNoA project key to filter results by. Can be specified multiple times, one query parameter per project key.
granularitystringNoSpecifies the data granularity. Defaults to daily. Valid values depend on aggregationType: month_to_date supports hourly, daily, and monthly; average supports hourly, daily, and monthly.
aggregationTypestringNoSpecifies the aggregation method. Defaults to month_to_date.<br/>Valid values: month_to_date, average.

launchdarkly_usage_get_observability_sessions_usage

Get observability sessions usage Parameters:
ParameterTypeRequiredDefaultDescription
fromstringNoThe series of data returned starts from this timestamp (Unix seconds). Defaults to the beginning of the current month.
tostringNoThe series of data returned ends at this timestamp (Unix seconds). Defaults to the current time.
projectKeystringNoA project key to filter results by. Can be specified multiple times, one query parameter per project key.
granularitystringNoSpecifies the data granularity. Defaults to daily. Valid values depend on aggregationType: month_to_date supports daily and monthly; incremental and rolling_30d support daily only.
aggregationTypestringNoSpecifies the aggregation method. Defaults to month_to_date.<br/>Valid values: month_to_date, incremental, rolling_30d.

launchdarkly_usage_get_observability_traces_usage

Get observability traces usage Parameters:
ParameterTypeRequiredDefaultDescription
fromstringNoThe series of data returned starts from this timestamp (Unix seconds). Defaults to the beginning of the current month.
tostringNoThe series of data returned ends at this timestamp (Unix seconds). Defaults to the current time.
projectKeystringNoA project key to filter results by. Can be specified multiple times, one query parameter per project key.
granularitystringNoSpecifies the data granularity. Defaults to daily. Valid values depend on aggregationType: month_to_date supports daily and monthly; incremental and rolling_30d support daily only.
aggregationTypestringNoSpecifies the aggregation method. Defaults to month_to_date.<br/>Valid values: month_to_date, incremental, rolling_30d.

launchdarkly_usage_get_sdk_versions_details

Get SDK versions usage details

launchdarkly_usage_get_service_connections_usage

Get service connections usage Parameters:
ParameterTypeRequiredDefaultDescription
fromstringNoThe series of data returned starts from this timestamp (Unix milliseconds). Defaults to the beginning of the current month.
tostringNoThe series of data returned ends at this timestamp (Unix milliseconds). Defaults to the current time.
projectKeystringNoA project key to filter results by. Can be specified multiple times, one query parameter per project key.
environmentKeystringNoAn environment key to filter results by. If specified, exactly one projectKey must be provided. Can be specified multiple times, one query parameter per environment key.
connectionTypestringNoA connection type to filter results by. Can be specified multiple times, one query parameter per connection type.
relayVersionstringNoA relay version to filter results by. Can be specified multiple times, one query parameter per relay version.
sdkNamestringNoAn SDK name to filter results by. Can be specified multiple times, one query parameter per SDK name.
sdkVersionstringNoAn SDK version to filter results by. Can be specified multiple times, one query parameter per SDK version.
sdkTypestringNoAn SDK type to filter results by. Can be specified multiple times, one query parameter per SDK type.
sdkAppIdstringNoAn SDK app ID to filter results by. Can be specified multiple times, one query parameter per SDK app ID.
groupBystringNoIf specified, returns data for each distinct value of the given field. Can be specified multiple times to group data by multiple dimensions, one query parameter per dimension.<br/>Valid values: projectId, environmentId, connectionType, relayVersion, sdkName, sdkVersion, sdkType, sdkAppId.
aggregationTypestringNoSpecifies the aggregation method. Defaults to month_to_date.<br/>Valid values: month_to_date, incremental.
granularitystringNoSpecifies the data granularity. Defaults to daily. monthly granularity is only supported with the month_to_date aggregation type.<br/>Valid values: daily, hourly, monthly.

launchdarkly_usage_get_stream_usage

Get stream usage Parameters:
ParameterTypeRequiredDefaultDescription
sourcestringYesThe source of streaming connections to describe. Must be either client or server.
fromstringNoThe series of data returned starts from this timestamp. Defaults to 30 days ago.
tostringNoThe series of data returned ends at this timestamp. Defaults to the current time.
tzstringNoThe timezone to use for breaks between days when returning daily data.

launchdarkly_usage_get_stream_usage_by_sdk_version

Get stream usage by SDK version Parameters:
ParameterTypeRequiredDefaultDescription
sourcestringYesThe source of streaming connections to describe. Must be either client or server.
fromstringNoThe series of data returned starts from this timestamp. Defaults to 24 hours ago.
tostringNoThe series of data returned ends at this timestamp. Defaults to the current time.
tzstringNoThe timezone to use for breaks between days when returning daily data.
sdkstringNoIf included, this filters the returned series to only those that match this SDK name.
versionstringNoIf included, this filters the returned series to only those that match this SDK version.

launchdarkly_usage_get_stream_usage_sdkversion

Get stream usage SDK versions Parameters:
ParameterTypeRequiredDefaultDescription
sourcestringYesThe source of streaming connections to describe. Must be either client or server.

launchdarkly_usage_get_vega_aiusage

Get Vega AI usage Parameters:
ParameterTypeRequiredDefaultDescription
fromstringNoThe series of data returned starts from this timestamp (Unix seconds). Defaults to the beginning of the current month.
tostringNoThe series of data returned ends at this timestamp (Unix seconds). Defaults to the current time.
projectKeystringNoA project key to filter results by. Can be specified multiple times, one query parameter per project key.
granularitystringNoSpecifies the data granularity. Defaults to daily. Valid values depend on aggregationType: month_to_date supports daily and monthly; incremental and rolling_30d support daily only.
aggregationTypestringNoSpecifies the aggregation method. Defaults to month_to_date.<br/>Valid values: month_to_date, incremental, rolling_30d.

launchdarkly_usage_get_view

Get view Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesProject Key
viewKeystringYesView Key
sortstringNoA sort to apply to the list of views.
limitintegerNoThe number of views to return.
offsetintegerNoWhere to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
filterstringNoA filter to apply to the list of views. Supports the following fields and operators: name (equals, notEquals, startsWith, contains, anyOf), key (equals, notEquals, startsWith, contains, anyOf), tag (equals, anyOf), maintainerId (equals, anyOf), isPayloadView (equals).
expandstring[]NoA comma-separated list of fields to expand.

launchdarkly_usage_get_views

List views Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesProject Key
sortstringNoA sort to apply to the list of views.
limitintegerNoThe number of views to return.
offsetintegerNoWhere to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
filterstringNoA filter to apply to the list of views. Supports the following fields and operators: name (equals, notEquals, startsWith, contains, anyOf), key (equals, notEquals, startsWith, contains, anyOf), tag (equals, anyOf), maintainerId (equals, anyOf), isPayloadView (equals).
expandstring[]NoA comma-separated list of fields to expand.

Link resource Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesProject Key
viewKeystringYesView Key
resourceTypestringYesResource Type
bodyobjectYesResources to link to the view. You can provide explicit keys/IDs, filters, or both. - Flags: identified by key or filtered by maintainerId, maintainerTeamKey, tags, state, query - Segments: identified by segment ID or filtered by tags, query, unbounded

launchdarkly_usage_patch_application

Update application Parameters:
ParameterTypeRequiredDefaultDescription
applicationKeystringYesThe application key
bodyobject[]YesRequest body

launchdarkly_usage_patch_application_version

Update application version Parameters:
ParameterTypeRequiredDefaultDescription
applicationKeystringYesThe application key
versionKeystringYesThe application version key
bodyobject[]YesRequest body

launchdarkly_usage_post_audit_log_entries

Search audit log entries Parameters:
ParameterTypeRequiredDefaultDescription
beforeintegerNoA timestamp filter, expressed as a Unix epoch time in milliseconds. All entries returned occurred before the timestamp.
afterintegerNoA timestamp filter, expressed as a Unix epoch time in milliseconds. All entries returned occurred after the timestamp.
qstringNoText to search for. You can search for the full or partial name of the resource.
limitintegerNoA limit on the number of audit log entries that return. Set between 1 and 20. The default is 10.
bodyobject[]NoRequest body

launchdarkly_usage_post_audit_log_entry_counts

Get audit log entry counts Parameters:
ParameterTypeRequiredDefaultDescription
beforeintegerNoA timestamp filter, expressed as a Unix epoch time in milliseconds. Defaults to now.
afterintegerYesA timestamp filter, expressed as a Unix epoch time in milliseconds. Required.
bucketsintegerNoNumber of time buckets to divide the range into. Default 50, max 500.
bodyobject[]YesRequest body

Unlink resource Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesProject Key
viewKeystringYesView Key
resourceTypestringYesResource Type
bodyobjectYesThe resource to link to the view. Flags are identified by key. Segments are identified by segment ID.

launchdarkly_usage_update_announcement_public

Update an announcement Parameters:
ParameterTypeRequiredDefaultDescription
announcementIdstringYesAnnouncement Id
bodyobject[]YesUpdate announcement request body

launchdarkly_usage_update_view

Update view Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesProject Key
viewKeystringYesView Key
archivedbooleanNoWhether or not the view is archived
descriptionstringNoOptional detailed description of the view
generateSdkKeysbooleanNoWhether to generate SDK keys for this view
maintainerIdstringNoMember ID of the maintainer for this view. Only one of maintainerId or maintainerTeamKey can be specified.
maintainerTeamKeystringNoKey of the maintainer team for this view. Only one of maintainerId or maintainerTeamKey can be specified.
namestringNoHuman-readable name for the view
tagsstring[]NoTags associated with this view